org.apache.solr.handler.component

## Class FacetComponent.DistribFieldFacet

- java.lang.Object
- - org.apache.solr.handler.component.FacetComponent.FacetBase
  - - org.apache.solr.handler.component.FacetComponent.FieldFacet
    - - org.apache.solr.handler.component.FacetComponent.DistribFieldFacet

- Enclosing class:
    FacetComponent

      public static class FacetComponent.DistribFieldFacet
      extends FacetComponent.FieldFacet

  This API is experimental and subject to change

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<String>[]` | `_toRefine`
    `FixedBitSet[]` | `counted`
    `HashMap<String,FacetComponent.ShardFacetCount>` | `counts`
    `FacetComponent.ShardFacetCount[]` | `countSorted`
    `int` | `initialLimit`
    `int` | `initialMincount`
    `boolean` | `mco`
    `long[]` | `missingMax`
    `long` | `missingMaxPossible`
    `boolean` | `needRefinements`
    `int` | `overrequestCount`
    `double` | `overrequestRatio`
    `int` | `termNum`

    - ### Fields inherited from class org.apache.solr.handler.component.FacetComponent.FieldFacet

      `field, ftype, limit, minCount, missing, missingCount, offset, prefix, sort`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillParams(ResponseBuilder rb, SolrParams params, String field)`
    `FacetComponent.ShardFacetCount[]` | `getCountSorted()`
    `FacetComponent.ShardFacetCount[]` | `getLexSorted()`
    `protected void` | `incCount(FacetComponent.ShardFacetCount sfc, long count)`
    `void` | `respectMinCount(long minCount)`

    - ### Methods inherited from class org.apache.solr.handler.component.FacetComponent.FacetBase

      `getExcludeTags, getKey, getTags, getThreadCount, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _toRefine

          public List<String>[] _toRefine

    - #### missingMaxPossible

          public long missingMaxPossible

    - #### missingMax

          public long[] missingMax

    - #### counted

          public FixedBitSet[] counted

    - #### counts

          public HashMap<String,FacetComponent.ShardFacetCount> counts

    - #### termNum

          public int termNum

    - #### initialLimit

          public int initialLimit

    - #### initialMincount

          public int initialMincount

    - #### mco

          public boolean mco

    - #### overrequestRatio

          public double overrequestRatio

    - #### overrequestCount

          public int overrequestCount

    - #### needRefinements

          public boolean needRefinements

    - #### countSorted

          public FacetComponent.ShardFacetCount[] countSorted

  - ### Method Detail

    - #### fillParams

          protected void fillParams(ResponseBuilder rb,
                                    SolrParams params,
                                    String field)

      Overrides:
        `fillParams` in class `FacetComponent.FieldFacet`

    - #### incCount

          protected void incCount(FacetComponent.ShardFacetCount sfc,
                                  long count)

    - #### getLexSorted

          public FacetComponent.ShardFacetCount[] getLexSorted()

    - #### getCountSorted

          public FacetComponent.ShardFacetCount[] getCountSorted()

    - #### respectMinCount

          public void respectMinCount(long minCount)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.